#pragma library 1
uns8 ReadEEData(register uns8 address)
{
  EEADR=address;
  #asm
  bsf EECON1,RD
//  movf EEDATA,W
  #endasm
  return EEDATA;
}
uns16 ReadEEDataInt(register uns8 address)
{
  uns16 val;
   val.low8 = ReadEEData(address);
   val.high8 = ReadEEData(address+1);
   return val;
}

void WriteEEData(uns8 address, uns8 data)
{
  EEADR=address;
  EEDATA=data;
  #asm
   bsf STATUS,RP0
   bsf EECON1,WREN
   bcf INTCON,GIE
   movlw  0x55
   movwf  EECON2
   movlw  0xAA
   movwf  EECON2
   bsf    EECON1,WR
   bsf    INTCON,GIE
  #endasm
}

void WriteEEDataInt(uns8 address, uns16 data)
{
  WriteEEData(address,data.low8);
  WriteEEData(address+1,data.high8);
}

#pragma library 0
