//#define INT_min_style

#pragma config_def 0x1222
#define INT_min_style
#define ADDRESS_LAST_CODE_LOCATION 0x3FF

//#define OSCCAL 0x90
/* Predefined:
  char W;
  char INDF, TMR0, PCL, STATUS, FSR;
  char OPTION;
  char PCLATH, INTCON;
  bit PS0, PS1, PS2, PSA, T0SE, T0CS, INTEDG, RBPU_;
  bit Carry, DC, Zero_, PD, TO, RP0, RP1, IRP;
  bit RBIF, INTF, T0IF, RBIE, INTE, T0IE, GIE;
  bit PA0, PA1;  // PCLATH
*/

#if _x
//#pragma char INTCON  @ 0x0b
//#pragma bit  GIE     @ INTCON.7
#pragma bit  PEIE    @ INTCON.6
#pragma bit  T0IE    @ INTCON.5
#pragma bit  INTE    @ INTCON.4
#pragma bit  GPIE    @ INTCON.3
#pragma bit  RBIF    @ INTCON.3
#pragma bit  T0IF    @ INTCON.2
#pragma bit  INTF    @ INTCON.1
#pragma bit  GPIF    @ INTCON.0
#endif


#define nGIE 7
#define nPEIE 6
#define nT0IE 5
#define nINTE 4
#define nGPIE 3
#define nT0IF 2
#define nINTF 1
#define nGPIF 0
